API

Add operator

POST/api/crm/v2/operators.addv2
operationId: operators.add

Creates an operator in the branch (branch_id): phone number, notification e-mail, SMS flag, public phone, access level, and optional binding to an account user (firm_user_id). The token is generated automatically.

Authorization

api-token + language + role

Query parameters

branch_idintegerrequired

Example: 8791

Request body application/json

object
firm_user_idinteger

Example: 825

email_for_notificationsarray of stringrequired

E-mail for notifications, up to 255 characters

permissionstringrequired

Order access: all — all orders, only — orders assigned to this operator

Values:allonly

Example: all

phone_format_idinteger (PhoneFormatId) required

Country code: 1-🇷🇺(+7|8), 2-🇦🇿(+994|0), 3-🇧🇾(+375|80), 4-🇰🇿(+7|8), 6-🇷🇸(+381|0), 7-🇹🇷(+90|0), 8-🇺🇦(+380|0), 9-🇵🇹(+351|0), 10-🇰🇬(+996|0), 11-🇺🇸(+1), 12-🇫🇷(+33|0), 13-🇲🇩(+373|0), 15-🇪🇪(+372), 18-🇬🇪(+995), 19-🇺🇿(+998), 22-🇵🇱(+48|0), 23-🇹🇯(+992|8), 25-🇷🇴(+40|0), 44-🇨🇭(+41|0)

Example: 1

phone_numberintegerrequired

Example: 9939697322

phone_sms_enabledboolean

Example: true

public_phonestring

Example: 9939697323

Responses

OK

object (Response)
statusstringrequired

Values:successerror

Example: success

One of the options
object

Error details

errorobjectrequired
codeintegerrequired

Error code

variablesobject
descriptionstringrequired

Error description